> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT Update Channel

> Update WhatsApp channel settings.

## Update channel

`PUT /api/channels/:id`

Update a channel's name, settings, or configuration.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```bash cURL theme={null}
curl -X PUT https://zeplo.ai/api/channels/1 \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{ "name": "Updated Channel Name" }'
```

```json Response theme={null}
{
  "success": true,
  "data": {
    "id": 1,
    "name": "Updated Channel Name",
    "updatedAt": "2026-01-15T14:00:00Z"
  }
}
```

***

## Disconnect channel

`POST /api/channels/:id/disconnect`

Deregister a WhatsApp channel.

```bash cURL theme={null}
curl -X POST https://zeplo.ai/api/channels/1/disconnect \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

***

## Delete channel

`DELETE /api/channels/:id`

```bash cURL theme={null}
curl -X DELETE https://zeplo.ai/api/channels/1 \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.